<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}

// Unique HTML ID if available.
$block_id = 'campoal-fundraising-cards-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-fundraising-cards ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

if (class_exists('Give')) {
	$posts = conikal_give_to_block($attributes['data'], $is_preview, $country_selected = false);

	if ($posts->have_posts()) {
		$return_string 	= conikal_shortcode_loop_give_form($posts, $attributes['data'], null);
	} else {
		$posts 			= conikal_give_to_block($attributes['data'], $is_preview, 'WORLD');
		$return_string 	= conikal_shortcode_loop_give_form($posts, $attributes['data'], null);
	}
} else {
	$return_string = '<div class="ui info message">
	  <i class="close icon"></i>
	  <div class="header">' . esc_html__('Fundraising shortcode can not working without Give plugin!', 'campoal-tapo') . '</div>
		' . esc_html__('Please install and active Give plugin to make this shortcode working.', 'campoal-tapo') . '
	</div>';
}
?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $return_string; ?>
</div>
