<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}
// Unique HTML ID if available.
$block_id = 'campoal-promo-banner-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-promo-banner ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts( array(
	'image' => '',
	'img_size' => '800x600',
	'link' => '',
	'alignment' => 'left',
	'vertical_alignment' => 'top',
	'style' => '',
	'hover' => '',
	'increase_spaces' => '',
	'el_class' => '',
	'border_radius' => '',
	'bottom_margin' => '',
	'content'		=> '',
), $attributes['data'] ));

$return_string = conikal_promo_banner_render($attributes['data'], $content);
?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $return_string; ?>
</div>
