<?php

/**
 * Testimonials shortcode
 */
if( !function_exists('conikal_testimonials_shortcode') ): 
    function conikal_testimonials_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'type' => 'normal',
            'title' => '',
            'show' => 3,
            'carousel'  => 'yes',
            'column'    => 'two',
        ), $attrs));

        $args = array(
                'numberposts'      => $show,
                'post_type'        => 'testimonials',
                'orderby'          => 'date',
                'order'            => 'DESC',
                'post_status'      => 'publish' );
        $testimonials = wp_get_recent_posts($args, OBJECT); 

        echo conikal_testimonials_render($testimonials, $attrs, $content);

        wp_reset_postdata();
        wp_reset_query();
    }
endif;

// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_testimonials_shortcode' );
function conikal_vc_testimonials_shortcode() {
   vc_map( array(
      "name" => esc_html__('Testimonials', 'campoal-tapo'),
      "base" => 'testimonials',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Type', 'campoal-tapo'),
            "param_name" => 'type',
            "value" => array(
                'Normal' => 'normal',
                'Basic' => 'basic',
                'Raised' => 'raised',
                'Stacked' => 'stacked',
                'Piled' => 'piled',
                'Piled' => 'piled',
            ),
            "std" => 'horizontal',
            "description" => esc_html__('Type of Testimonials', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Title', 'campoal-tapo'),
            "param_name" => 'title',
            "value" => '',
            "description" => esc_html__('Title of Team', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Show', 'campoal-tapo'),
            "param_name" => 'show',
            "value" => 3,
            "description" => esc_html__('Number of Display', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Carousel Mode', 'campoal-tapo'),
            "param_name" => 'carousel',
            "value" => array(
                'No' => 'no',
                'Yes' => 'yes',
                ),
            "std" => 'yes',
            "description" => esc_html__('Display petitions in carousel style', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Column', 'campoal-tapo'),
            "param_name" => 'column',
            "value" => conikal_shortcode_column_options(),
            "std" => 'four',
            "description" => esc_html__('Column of Petitions', 'campoal-tapo')
        ),
      )
   ) );
}

?>