<?php 

/**
 * Petition list content in shortcode
 */
if (!function_exists('conikal_shortcode_petition_list')) :
	function conikal_shortcode_petition_list($petition, $attrs, $content = null) {
		// convert petition data array to variables
        extract($petition);

        // convert shortcode attributes to variables
        extract(shortcode_atts(array(
            'title' => 'Recent petitions',
            'show' => '4',
            'category' => '',
            'style' => 'grid',
            'carousel' => 'no',
            'column' => 'four',
            'hover' => false,
        ), $attrs));

		// lazy load placeholder
        $lazy_placeholder_avatar = conikal_lazy_load_placeholder('avatar');

		$return_string = '';
		$return_string .= '<div class="ui segments petition-list-card">';
		$return_string .= '<div class="ui padded segment">';
		if ($sign >= $goal || $status == '1') {
		    $return_string .= '<div class="ui primary right corner large label victory-label"><i class="flag icon"></i></div>';
		}
		$return_string .= '<div class="ui grid">';
		$return_string .= '<div class="sixteen wide mobile ten wide tablet ten wide computer column">';
		$return_string .= ' <div class="petition-content">';
		$return_string .= '     <div class="ui grid">';
		$return_string .= '         <div class="sixteen wide column">';
		$return_string .= '             <div class="ui large header list-petition-title">';
		$return_string .= '                 <div class="content">';
		$return_string .= '                     <div class="sub header petition-to">' . conikal_custom_icon('send') . ' ' . sprintf(esc_html__('Petition to %s', 'campoal-tapo'), esc_html($receiver)) . '</div>';
		$return_string .= '                     <a href="'. esc_url($link) . '" data-bjax>' . esc_html($petition_title) . '</a>';
		$return_string .= '                 </div>';
		$return_string .= '             </div>';
		$return_string .= '         </div>';
		$return_string .= '         <div class="sixteen wide column tablet computer only" style="padding-top: 0; padding-bottom: 0;">';
		$return_string .= '             <div class="text grey">' . esc_html($excerpt_long) . '</div>';
		$return_string .= '         </div>';
		$return_string .= '     </div>';
		$return_string .= ' </div>';
		$return_string .= ' <div class="ui grid">';
		$return_string .= '      <div class="petition-footer">';
		$return_string .= '         <div class="sixteen wide column">';
		if ($country || $state || $city) { 
		    $return_string .= '         <span class="text grey place"><i class="map marker icon"></i>' . ($city ? esc_html($city) . ', ' : '') . ($state ? esc_html($state) . ', ' : '') . ($country ? esc_html($country) : '') . '</span>';
		}
		$return_string .= '             <div class="ui tiny indicating primary progress petition-goal" data-value="' . esc_attr($sign) . '" data-total="' . ($status == '1' ? esc_html($sign) : esc_html($goal) ) . '">';
		$return_string .= '                 <div class="bar">';
		$return_string .= '                     <div class="progress"></div>';
		$return_string .= '                 </div>';
		$return_string .= '             </div>';
		$return_string .= '         </div>';
		$return_string .= '     </div>';
		$return_string .= ' </div>';
		$return_string .= '</div>';
		$return_string .= '<div class="sixteen wide mobile six wide tablet six wide computer column">';
		if ($thumbnail) {
		$return_string .= '<a class="ui fluid image petition-thumbnail" href="' . esc_url($link) . '" target="' . esc_attr($external_link != 0 ? '_blank' : '_self') . '" ' . esc_attr($external_link != 0 ? '' : 'data-bjax') . '>
		                <div class="ui dimmer">
		                    <div class="content">
		                        <div class="center">
		                            <div class="ui icon inverted circular large button"><i class="external alternate icon"></i></div>
		                        </div>
		                        <div class="view-counter">';
		    if ($view_counter == 1 && function_exists('conikal_get_post_views')) {
		        $return_string .= '<i class="eye icon"></i>' . conikal_format_number('%!,0i', (int) conikal_get_post_views($id), true);
		    }
		        $return_string .= '</div>
		                    </div>
		                </div>
		                <img class="ui fluid image lazy" data-src="' . esc_url($thumbnail) . '" data-retina="' . esc_url($thumbnail_retina) . '" src="' . esc_url($lazy_placeholder) . '" alt="' . esc_attr($title) . '">
		            </a>';
		} elseif (!wp_is_mobile()) {
			$return_string .= '<div class="ui placeholder segment no-thumbnail">
		        		<a class="ui icon circular basic large button" href="' . esc_url($link) . '" target="' . esc_attr($external_link != 0 ? '_blank' : '_self') . '" ' . esc_attr($external_link != 0 ? '' : 'data-bjax') . '>
							<i class="external alternate icon"></i>
						</a>
						<div class="view-counter">';
            if ($view_counter == 1 && function_exists('conikal_get_post_views')) {
	        	$return_string .= '<i class="eye icon"></i>' . conikal_format_number('%!,0i', (int) conikal_get_post_views($id), true);
	        }
	        	$return_string .= '</div>
						</div>';
		}
		$return_string .= '</div>';
		$return_string .= '</div>';
		$return_string .= '</div>';
		$return_string .= '<div class="ui padded segment footer-border">';
		$return_string .= '<div class="ui grid">';
		$return_string .= '<div class="ten wide tablet ten wide computer column tablet computer only">';
		$return_string .= '     <span class="ui primary label">' . conikal_custom_icon('supporter') . sprintf($supporter_number->label, esc_html(conikal_format_number('%!,0i', $sign, true))) . '</span>';
		$return_string .= '     <span class="ui label"><i class="comments icon"></i>' . sprintf( _n('%s comment', '%s comments', $comments->approved, 'campoal-tapo'), conikal_format_number('%!,0i', $comments->approved, true) ) . '</span>';
		if($category) {
		    $return_string .= ' <a class="ui label" href="' . get_category_link($category[0]->term_id) . '" data-bjax><i class="tag icon"></i>' . esc_html($category[0]->name) . '</a>';
		}
		$return_string .= '</div>';
		$return_string .= '<div class="six wide tablet six wide computer right aligned column tablet computer only">';
		$return_string .= '<a class="author-avatar" href="' . esc_url($author_url) . '" data-bjax>
			<img class="ui avatar image supporter-avatar petition-author-avatar lazy" 
			data-src="' . esc_url($avatar) . '" 
			data-retina="' . esc_url($avatar_retina) . '" 
			src="' . esc_url($lazy_placeholder_avatar) . '"
			alt="' . esc_attr($author_name) . '" 
			data-title="' . esc_attr($author_name) . '"';
		if ($user_country || $user_state || $user_city) {
			$return_string .= 'data-content="' . esc_attr($user_city ? $user_city . ', ' : '') . esc_attr($user_state ? $user_state . ', ' : '') . esc_attr($user_country ? $user_country : '');
		}
		$return_string .= '"></a>';
		$return_string .= '</div>';

		$return_string .= '<div class="thirteen wide column mobile only">';
		$return_string .= ' <span class="ui primary label">' . conikal_custom_icon('supporter') . sprintf($supporter_number->label, esc_html(conikal_format_number('%!,0i', $sign, true))) . '</span>';
		$return_string .= ' <span class="ui label"><i class="comments icon"></i>' . conikal_format_number('%!,0i', $comments->approved, true) . '</span>';
		$return_string .= '</div>';
		$return_string .= '<div class="three wide right aligned column mobile only">';
		$return_string .= '<a class="author-avatar" href="' . esc_url($author_url) . '" data-bjax>
			<img class="ui avatar image supporter-avatar petition-author-avatar lazy" 
			data-src="' . esc_url($avatar) . '" 
			data-retina="' . esc_url($avatar_retina) . '" 
			src="' . esc_url($lazy_placeholder_avatar) . '"
			alt="' . esc_attr($author_name) . '" 
			data-title="' . esc_attr($author_name) . '"';
		if ($user_country || $user_state || $user_city) {
			$return_string .= 'data-content="' . esc_attr($user_city ? $user_city . ', ' : '') . esc_attr($user_state ? $user_state . ', ' : '') . esc_attr($user_country ? $user_country : '');
		}
		$return_string .= '"></a>';
		$return_string .= '</div>';
		$return_string .= '</div>';
		$return_string .= '</div>';
		$return_string .= '</div>';

		return $return_string;
	}
endif;
?>