<?php 
/*
* Render promo banner block in html
*/

if (!function_exists('conikal_promo_banner_render')) :
    function conikal_promo_banner_render($attrs, $content) {
        extract(shortcode_atts( array(
			'image' => '',
			'img_size' => '800x600',
			'link' => '',
			'alignment' => 'left',
			'vertical_alignment' => 'top',
			'style' => '',
			'hover' => '',
			'increase_spaces' => '',
			'el_class' => '',
			'border_radius' => '',
			'bottom_margin' => '',
		), $attrs ));

        //$img_id = preg_replace( '/[^\d]/', '', $image );

        $click = $output = $class = '';
		$images = !is_array($image) ? explode(',', $image) : $image;

		if( $link != '') {
			$class .= ' cursor-pointer';
		}

		$class .= ' text-' . $alignment;
		$class .= ' vertical-alignment-' . $vertical_alignment;
		$class .= ' banner-' . $style;
		$class .= ' hover-' . $hover;

		if( $increase_spaces == 'yes' ) {
			$class .= ' increased-padding';
		}
		$class .= ' ' . $el_class;

		if ( count($images) > 1 ) {
			$class .= ' multi-banner';
		}

		$css = '';
		if ( $border_radius != '' ) {
			$css .= 'border-radius: ' . $border_radius . ';';
		}

		if ( $bottom_margin != '' ) {
			$css .= 'margin-bottom: ' . $bottom_margin . ';';
		}

		ob_start(); ?>

			<div class="promo-banner<?php echo esc_attr( $class ); ?>" <?php if( ! empty( $link ) ): ?>onclick="window.location.href='<?php echo esc_js( $link ) ?>'"<?php endif; ?> style="<?php echo esc_attr($css) ?>">

				<div class="main-wrapp-img">
					<div class="banner-image">
						<?php if ( count($images) > 0 ): ?>
							<?php $i=0; foreach ($images as $img_id): $i++; ?>
								<?php $img = conikal_get_image_by_size($img_id, $img_size); ?>
								<img class="promo-banner-image image-<?php echo esc_attr($i) ?>" src="<?php echo esc_url($img) ?>">
							<?php endforeach ?>
						<?php endif ?>
					</div>
				</div>

				<div class="wrapper-content-baner">
					<div class="banner-inner">
						<?php echo do_shortcode( $content ); ?>
					</div>
				</div>

			</div>
		<?php
		$output = ob_get_contents();
		ob_end_clean();

		return $output;
    }
endif;
?>