<?php 

/* 
/ Render testimonials blocks in html
*/
if (!function_exists('conikal_testimonials_render')) :
    function conikal_testimonials_render($testimonials, $attrs, $content = null) {
        extract(shortcode_atts(array(
            'type'              => 'normal',
            'title'             => '',
            'title_alignment'   => 'center',
            'show'              => 3,
            'carousel'          => 'yes',
            'raised'            => 1,
            'column'            => 'two',
        ), $attrs));

        if ($title != '') : ?>
            <div class="ui <?php echo esc_attr( $title_alignment ) ?> aligned basic segment">
                <div class="ui huge header"><?php echo esc_html($title) ?></div>
                <div class="title-divider"></div>
            </div>
        <?php endif; ?>

        <?php if ( conikal_carousel_mode($carousel) != 0 ) { ?>
            <div class="testimonial-carousel-section carousel-v1">
                <div class="testimonial-carousel" data-column="<?php echo esc_attr($column) ?>">
        <?php } else { ?>
            <div class="ui <?php echo esc_html($column) ?> column grid">
        <?php } ?>
        
        <?php foreach($testimonials as $testimonial) : setup_postdata($testimonial);
        if ($testimonial->ID) {
            if(has_post_thumbnail($testimonial->ID)) {
                $avatar_src = wp_get_attachment_image_src( get_post_thumbnail_id( $testimonial->ID ), 'medium' );
                $avatar_src = ($avatar_src ? $avatar_src[0] : '');
            } else {
                $avatar_src = get_template_directory_uri() . '/images/avatar.svg';
            }
            $job = get_post_meta($testimonial->ID, 'testimonials_job', true);
            $company = get_post_meta($testimonial->ID, 'testimonials_company', true); ?>

            <div <?php echo esc_attr(conikal_carousel_mode($carousel) == 0 ? 'class=column' : '') ?>>
                <div class="ui very padded<?php echo esc_attr($type != ' normal' ? $type : '') ?><?php echo esc_attr($raised == 1 ? ' raised' : '') ?> segment">
                    <div class="testimonial-content"><?php echo get_the_content( $testimonial->ID ) ?></div>
                    <div class="ui medium header">
                        <img src="<?php echo esc_url($avatar_src) ?>" class="ui circular image" alt="<?php echo esc_attr( get_the_title($testimonial->ID) ) ?>" />
                        <div class="content">
                            <?php echo get_the_title($testimonial->ID) ?>
                            <div class="sub header">
                                <?php echo esc_html($job ? $job : '') . esc_html($company ? ', ' . $company : '') ?>
                            </div>   
                        </div>
                    </div>
                </div>
            </div>
        <?php }
        endforeach; ?>

        <?php if ( conikal_carousel_mode($carousel) != 0 ) { ?>
                </div>
            </div>
        <?php } else { ?>
            </div>
        <?php } ?>
        <div class="clearfix"></div>
    <?php
    }
endif;
?>