<?php

/*
/ Render update timeline block in html
*/

if (!function_exists('conikal_update_timeline_render')) :
    function conikal_update_timeline_render($update_posts, $attrs, $content = null) {
        $inverted = 1;

        $return_string = '<ul class="timeline">';

        if ($update_posts->have_posts()) : 
            while ( $update_posts->have_posts() ) :
                $update_posts->the_post();
                $update_id = get_the_ID();
                $link = get_permalink($update_id);
                $title = get_the_title($update_id);
                $excerpt = conikal_get_excerpt_by_id($update_id);
                $date = get_the_date('', $update_id);
                $time = human_time_diff(get_the_time('U', $update_id), current_time('timestamp'));
                $type =  get_post_meta($update_id, 'update_type', true);
                $petition_id =  get_post_meta($update_id, 'update_post_id', true);
                $media = get_post_meta($update_id, 'update_media', true);
                $gallery = get_post_meta($update_id, 'update_gallery', true);
                $images = conikal_get_gallery_images($gallery);
                $thumb_id = get_post_thumbnail_id($update_id);
                $thumbnail = wp_get_attachment_image_src($thumb_id, 'thumbnail', true);
                $thumb_video = get_post_meta($update_id, 'update_thumb_small', true);
                $comments = wp_count_comments($update_id);

                if(has_post_thumbnail($update_id)) {
                    $thumbnail = $thumbnail[0];
                } elseif ($gallery) {
                    $thumbnail = $images[1];
                } elseif ($thumb_video) {
                    $thumbnail = $thumb_video;
                } else {
                    $thumbnail = '';
                }

                switch ($type) {
                    case 'update':
                        $type_icon = 'announcement icon';
                        break;

                    case 'featured':
                        $type_icon = 'star icon';
                        break;

                    case 'responsive':
                        $type_icon = 'reply icon';
                        break;

                    case 'victory':
                        $type_icon = 'flag icon';
                        break;
                     
                    default:
                        $type_icon = 'repeat icon';
                        break;
                }

                $inverted = $inverted % 2;

                $return_string .= '<li' . ($inverted == 0 ? ' class="timeline-inverted"' : '') . '>
                  <div class="timeline-badge"><i class="' . $type_icon . '"></i></div>
                  <div class="timeline-panel">
                    <div class="timeline-heading">
                        <h2 class="timeline-title"><a href="' . esc_url($link) . '">' . esc_html($title) . '</a></h2>
                        <div class="text-muted text grey"><i class="clock icon"></i>' . esc_html($time)  . esc_html__(' ago', 'campoal-tapo') . ($comments->approved != 0 ? '  ·  <i class="comments icon"></i>' . esc_html($comments->approved) . ' ' . esc_html__('comments', 'campoal-tapo') : '') . '</div>
                    </div>
                    <div class="ui grid">
                        <div class="sixteen wide mobile sixteen tablet ' . ($thumbnail ? 'thirteen' : 'sixteen') . ' wide computer column">
                            <div class="timeline-body"><p class="text grey">' . esc_html($excerpt) . '</p></div>
                        </div>';
                if ($thumbnail) {
                    $return_string .= '<div class="three wide column computer only">
                                <a href="' . esc_url($link) . '" data-bjax>
                                    <img class="ui fluid image" src="' . esc_url($thumbnail) . '" alt="' . esc_attr($title) . '">
                                </a>
                            </div>';
                }
                $return_string .= '
                    </div>    
                  </div>
                </li>';

                $inverted++;

            endwhile;
        endif;

        $return_string .= '</ul>';

        return $return_string;
    }
endif;

?>